<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils.html">libcurlUtils</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html">LibcurlHTTP2Request</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_libcurl_h_t_t_p2_request_8h_source.html">LibcurlHTTP2Request.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_interface.html" title="alexaClientSDK::avsCommon\l::utils::http2::HTTP2RequestInterface" alt="" coords="5,5,246,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request_coll__map" id="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_interface.html" title="alexaClientSDK::avsCommon\l::utils::http2::HTTP2RequestInterface" alt="" coords="5,5,246,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a375d88c7bf212a75749dff77a858e31e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#a375d88c7bf212a75749dff77a858e31e">LibcurlHTTP2Request</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig</a> &amp;config, std::string id=&quot;&quot;)</td></tr>
<tr class="separator:a375d88c7bf212a75749dff77a858e31e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbfc5e203646cbbeb2c6fd21e4e7fae0"><td class="memItemLeft" align="right" valign="top">CURL *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#adbfc5e203646cbbeb2c6fd21e4e7fae0">getCurlHandle</a> ()</td></tr>
<tr class="separator:adbfc5e203646cbbeb2c6fd21e4e7fae0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada77bd247705a6e36753a1babd2488c8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#ada77bd247705a6e36753a1babd2488c8">reportCompletion</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a31cdf3a4381c8885296ba2097263282e">http2::HTTP2ResponseFinishedStatus</a> status)</td></tr>
<tr class="separator:ada77bd247705a6e36753a1babd2488c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98c794fe8b0c3d81d6ffa301d8878298"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#a98c794fe8b0c3d81d6ffa301d8878298">reportResponseCode</a> ()</td></tr>
<tr class="separator:a98c794fe8b0c3d81d6ffa301d8878298"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18171bc8739fed273631d33a188b499c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#a18171bc8739fed273631d33a188b499c">hasProgressTimedOut</a> () const</td></tr>
<tr class="separator:a18171bc8739fed273631d33a188b499c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09f7c0d9dfd3bf5c19c69458a86a2a29"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#a09f7c0d9dfd3bf5c19c69458a86a2a29">isIntermittentTransferExpected</a> () const</td></tr>
<tr class="separator:a09f7c0d9dfd3bf5c19c69458a86a2a29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58041261c9c6e233f44ba83071144cc8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#a58041261c9c6e233f44ba83071144cc8">setTimeOfLastTransfer</a> ()</td></tr>
<tr class="separator:a58041261c9c6e233f44ba83071144cc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9523f749ae34a90dfe69e3efed90f53"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#ac9523f749ae34a90dfe69e3efed90f53">unPause</a> ()</td></tr>
<tr class="separator:ac9523f749ae34a90dfe69e3efed90f53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe4de88841f63032880e0257f3b0ff29"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#afe4de88841f63032880e0257f3b0ff29">isPaused</a> () const</td></tr>
<tr class="separator:afe4de88841f63032880e0257f3b0ff29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7214468f3026bf5c681ab7417769110e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#a7214468f3026bf5c681ab7417769110e">isCancelled</a> () const</td></tr>
<tr class="separator:a7214468f3026bf5c681ab7417769110e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">HTTP2RequestInterface methods.</div></td></tr>
<tr class="memitem:ac64baed1a119a6272d2350189810af96"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#ac64baed1a119a6272d2350189810af96">cancel</a> () override</td></tr>
<tr class="separator:ac64baed1a119a6272d2350189810af96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a899662275d4b032bb346ab8aba1e7fb4"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#a899662275d4b032bb346ab8aba1e7fb4">getId</a> () const override</td></tr>
<tr class="separator:a899662275d4b032bb346ab8aba1e7fb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_interface.html">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestInterface</a></td></tr>
<tr class="memitem:ae977d4abcdfba59194868bbf2d64bd31 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_interface.html#ae977d4abcdfba59194868bbf2d64bd31">~HTTP2RequestInterface</a> ()=default</td></tr>
<tr class="separator:ae977d4abcdfba59194868bbf2d64bd31 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a375d88c7bf212a75749dff77a858e31e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a375d88c7bf212a75749dff77a858e31e">&#9670;&nbsp;</a></span>LibcurlHTTP2Request()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request::LibcurlHTTP2Request </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig</a> &amp;&#160;</td>
          <td class="paramname"><em>config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>id</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">config</td><td></td></tr>
    <tr><td class="paramname">id</td><td>Name used to identify this request. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac64baed1a119a6272d2350189810af96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac64baed1a119a6272d2350189810af96">&#9670;&nbsp;</a></span>cancel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request::cancel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Cancel this <code>HTTP2Request</code>.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether cancelling this request was triggered. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_interface.html#a36447d4fca668ef512447238056657b1">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestInterface</a>.</p>

</div>
</div>
<a id="adbfc5e203646cbbeb2c6fd21e4e7fae0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbfc5e203646cbbeb2c6fd21e4e7fae0">&#9670;&nbsp;</a></span>getCurlHandle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CURL * alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request::getCurlHandle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Gets the CURL easy handle associated with this stream</p>
<dl class="section return"><dt>Returns</dt><dd>The associated curl easy handle for the stream </dd></dl>

</div>
</div>
<a id="a899662275d4b032bb346ab8aba1e7fb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a899662275d4b032bb346ab8aba1e7fb4">&#9670;&nbsp;</a></span>getId()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request::getId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get an integer uniquely identifying this request.</p>
<dl class="section return"><dt>Returns</dt><dd>An integer uniquely identifying this request. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_interface.html#a72f86fa63a308238fb91dbcf437af2f4">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestInterface</a>.</p>

</div>
</div>
<a id="a18171bc8739fed273631d33a188b499c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18171bc8739fed273631d33a188b499c">&#9670;&nbsp;</a></span>hasProgressTimedOut()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request::hasProgressTimedOut </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Return whether or not the activity timeout has been reached.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether or not the activity timeout has been reached. </dd></dl>

</div>
</div>
<a id="a7214468f3026bf5c681ab7417769110e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7214468f3026bf5c681ab7417769110e">&#9670;&nbsp;</a></span>isCancelled()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request::isCancelled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Return whether this request has been cancelled.</p>
<dl class="section return"><dt>Returns</dt><dd>whether this request has been cancelled. </dd></dl>

</div>
</div>
<a id="a09f7c0d9dfd3bf5c19c69458a86a2a29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09f7c0d9dfd3bf5c19c69458a86a2a29">&#9670;&nbsp;</a></span>isIntermittentTransferExpected()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request::isIntermittentTransferExpected </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Whether this request expects that transfer will happen intermittently.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether this request expects that transfer will happen intermittently. </dd></dl>

</div>
</div>
<a id="afe4de88841f63032880e0257f3b0ff29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe4de88841f63032880e0257f3b0ff29">&#9670;&nbsp;</a></span>isPaused()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request::isPaused </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Return whether this stream has pending transfers.</p>
<dl class="section return"><dt>Returns</dt><dd>whether this stream has been paused. </dd></dl>

</div>
</div>
<a id="ada77bd247705a6e36753a1babd2488c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada77bd247705a6e36753a1babd2488c8">&#9670;&nbsp;</a></span>reportCompletion()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request::reportCompletion </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a31cdf3a4381c8885296ba2097263282e">http2::HTTP2ResponseFinishedStatus</a>&#160;</td>
          <td class="paramname"><em>status</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Notify the HTTP2ResponseSinkInterface that the transfer is complete with the appropriate HTTP2ResponseFinishedStatus code.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>The finished status to report. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a98c794fe8b0c3d81d6ffa301d8878298"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98c794fe8b0c3d81d6ffa301d8878298">&#9670;&nbsp;</a></span>reportResponseCode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request::reportResponseCode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">If the response code has been received and not previously reported, notify the HTTP2ResponseSinkInterface that the response code has been received. </p>

</div>
</div>
<a id="a58041261c9c6e233f44ba83071144cc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58041261c9c6e233f44ba83071144cc8">&#9670;&nbsp;</a></span>setTimeOfLastTransfer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request::setTimeOfLastTransfer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Sets the time of last transfer to the current time. </p>

</div>
</div>
<a id="ac9523f749ae34a90dfe69e3efed90f53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9523f749ae34a90dfe69e3efed90f53">&#9670;&nbsp;</a></span>unPause()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request::unPause </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Un-pause read and write for this request. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/LibcurlUtils/<a class="el" href="_libcurl_h_t_t_p2_request_8h_source.html">LibcurlHTTP2Request.h</a></li>
<li>/workplace/avs-device-sdk/AVSCommon/Utils/src/LibcurlUtils/<a class="el" href="_libcurl_h_t_t_p2_request_8cpp.html">LibcurlHTTP2Request.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
